using System;

namespace Decal.Adapter;

[AttributeUsage(AttributeTargets.Method, AllowMultiple = true)]
public sealed class BaseEventAttribute : Attribute
{
	private string eventName;

	private string baseFilter;

	public string EventName => eventName;

	public string FilterName => baseFilter;

	public BaseEventAttribute(string eventName)
		: this(eventName, string.Empty)
	{
	}

	public BaseEventAttribute(string eventName, string baseFilter)
	{
		this.eventName = eventName;
		this.baseFilter = baseFilter;
	}
}
